from django.urls import path

from . import views

app_name = "order"
urlpatterns = [
    path("", views.IndexView.as_view(), name="index"),
    path(
        "<int:pk>/", views.GroupedOrderDetailView.as_view(), name="grouped_order_detail"
    ),
    path(
        "<int:pk>/gerer",
        views.GroupedOrderOverview.as_view(),
        name="grouped_order_overview",
    ),
    path("<int:grouped_order_id>/commander/", views.order, name="order"),
    path(
        "<int:grouped_order_id>/<int:pk>/confirmation/",
        views.OrderDetailView.as_view(),
        name="order_confirm",
    ),
    path("creer", views.GroupedOrderCreateView.as_view(), name="create_grouped_order"),
    path(
        "<int:pk>/gerer-produits",
        views.GroupedOrderAddItemsView.as_view(),
        name="manage_items",
    ),
    path(
        "<int:pk>/gerer-produits/nouveau",
        views.ItemCreateView.as_view(),
        name="item_create",
    ),
]
